<div class="wide form">

    <?php
    $form = $this->beginWidget('GxActiveForm', array(
        'action' => Yii::app()->createUrl($this->route),
        'method' => 'get'
    ));

    $this->widget('application.extensions.EChosen.EChosen', array('target' => '.echosen','useJQuery' => true));
    if(empty($model->TOKEN)) {
        $model->TOKEN = Util::uid();
    }
    echo $form->hiddenField($model, 'TOKEN');
    ?>

    <div class="row">
        <?php echo $form->label($model, 'ATD_DTCADASTRO_INICIAL'); ?>
        <?php $form->widget('ext.Utils.widgets.CrmDatePicker', array('model' => $model, 'attribute' => 'ATD_DTCADASTRO_INICIAL')); ?> à 
        <?php $form->widget('ext.Utils.widgets.CrmDatePicker', array('model' => $model, 'attribute' => 'ATD_DTCADASTRO_FINAL')); ?>
    </div>
    
    <?php if (!User::isRevenda()) { ?>
        <div class="row">
            <?php echo $form->label($model, 'ATD_IDREVENDA'); ?>
            <?php echo $form->dropDownList($model, 'ATD_IDREVENDA', User::getRevendas(), array('prompt' => 'Todas')); ?>
        </div>
    <?php } ?>

    <div class="row">
        <?php echo $form->label($model, 'ATD_IDCLIENTE', array('class' => 'focus_toggle')); ?>
        <?php
        $this->widget('ext.Utils.widgets.CrmAutoComplete', array(
            'model' => $model,
            'attribute' => 'ATD_IDCLIENTE',
            'url' => 'autocomplete/clientes',
            'params' => array(
                'funcionario: $("#Atendimentos_ATD_IDFUNCIONARIO").val()',
                'cidade: $("#Atendimentos_ATD_CIDADE").val()',
                'revenda: $("#Atendimentos_ATD_IDREVENDA").val()',
                'field: "CLI_NOME"',
                )
            )
        );
        ?>
    </div>

    <div class="row">
        <?php echo $form->label($model, 'ATD_CIDADE'); ?>
        <?php echo $form->dropDownList($model, 'ATD_CIDADE', User::getCidadesEstados(), array('multiple' => 'multiple', 'class' => 'echosen', 'data-placeholder' => 'Todas')); ?>
    </div><!-- row -->

    <?php if (User::CanListUsers()) { ?>
        <div class="row">
            <?php echo $form->label($model, 'Atendente'); ?>
            <?php echo $form->dropDownList($model, 'ATD_IDFUNCIONARIO', User::getFuncionariosSuporte(), array('prompt' => 'Todos')); ?>
        </div><!-- row -->
    <?php } else { ?>
        <div class="row">
            <?php echo $form->hiddenField($model, 'ATD_IDFUNCIONARIO', array('type' => "hidden", 'value' => User::getId())); ?>
        </div><!-- row -->
    <?php } ?>

    <div class="row">
        <?php echo $form->label($model, 'ATD_TIPO'); ?>
        <?php echo $form->dropDownList($model, 'ATD_TIPO', Util::getTiposAtendimentoList(array('D','T')), array('prompt' => 'Todos')); ?>
    </div>
    <div class="row">
        <?php echo $form->label($model, 'ATD_HORAINICIO'); ?>
        <?php
        echo $form->textField($model, 'ATD_HORAINICIO', array('class' => 'format_hora hora_inicio', 'maxlength' => 5));
        ?> à <?php echo $form->textField($model, 'ATD_HORAFINAL', array('class' => 'format_hora hora_final', 'maxlength' => 5));
        ?>
    </div>

    <div class="row">
        <?php echo $form->label($model, 'ATD_SITUACAO'); ?>
        <?php echo $form->dropDownList($model, 'ATD_SITUACAO', Util::getSituacoesAtendimentoList(), array('prompt' => 'Todas')); ?>
    </div>

    <div class="row buttons">
        <input type="hidden" name="busca_tecnico" value="1" />

        <?php echo FaHtml::searchButton(); ?>
    </div>

    <?php $this->endWidget(); ?>

</div><!-- search-form -->
<script>
    $(document).ready(function () {
        jQuery('body').undelegate('#Atendimentos_ATD_IDREVENDA','change').delegate('#Atendimentos_ATD_IDREVENDA','change',function(){
            var revenda = $('#Atendimentos_ATD_IDREVENDA').val();
            var funcionario = $("#Atendimentos_ATD_IDFUNCIONARIO").val();
            jQuery.ajax({
                type: 'GET',
                url: createUrl('autocomplete/tecnico'),
                cache: false,
                data: {revenda: revenda, selecione:true},
                success: function(html){
                    jQuery("#Atendimentos_ATD_IDFUNCIONARIO").html(html);
                    selectField('Atendimentos_ATD_IDFUNCIONARIO', funcionario);
                    $('#Atendimentos_ATD_IDFUNCIONARIO').trigger('change');
                }
            });

            return false;
        });

        jQuery('body').undelegate('#Atendimentos_ATD_IDFUNCIONARIO','change').delegate('#Atendimentos_ATD_IDFUNCIONARIO','change',function(){
            var funcionario = $('#Atendimentos_ATD_IDFUNCIONARIO').val();
            var cidade = $("#Atendimentos_ATD_CIDADE").val();
            jQuery.ajax({
                type: 'GET',
                url: createUrl('autocomplete/cidades'),
                cache: false,
                data: {funcionario: funcionario, selecione:false},
                success: function(html){
                    jQuery("#Atendimentos_ATD_CIDADE").html(html);
                    selectField('Atendimentos_ATD_CIDADE', cidade);
                    $(".echosen").trigger("chosen:updated");
                }
            });

            return false;
        });
    });
</script>